<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>

<c:if test="${bookingComponent.shellSummary.multiCentreAccommodationSummary ne null && not empty bookingComponent.shellSummary.multiCentreAccommodationSummary}">
<div class="breakdown marg-bottom-20 ">
	<p class="title">Room &amp; Board</p>
<c:forEach var="roomAndBoard" items="${bookingComponent.shellSummary.multiCentreAccommodationSummary}" varStatus="status">
<c:if test="${roomAndBoard.accommodation.accommodationType ne 'TOUR'}">
<ul class="grey-med">

	<c:out value="${roomAndBoard.accommodation.hotel}"/>
		<c:if test="${not empty bookingComponent.pricingDetails}">
		<c:set var="key" value="ACCOM_EXTRAS_PRICE_COMPONENT_${status.index}"  />
			<c:set var="accomExtras"
				value="${bookingComponent.pricingDetails[key]}" />
			<c:if test="${not empty accomExtras}">
				<c:forEach var="accomExtra" items="${accomExtras}">
					<li class="room-board"><span><c:out value="${accomExtra.itemDescription}"
							escapeXml='false' /> <c:if
							test="${accomExtra.quantity ne null && accomExtra.quantity > 0}"> x <c:out
								value="${accomExtra.quantity}" />
						</c:if>
							</span>
						<span> 
							<c:choose>
									<c:when test="${accomExtra.amount.amount > 0 && accomExtra.quantity ne null && accomExtra.quantity > 0}">
										&pound;<fmt:formatNumber value="${accomExtra.amount.amount}" type="number" maxFractionDigits="2" minFractionDigits="2" pattern="#####.##" />
									</c:when>
									<c:otherwise>
										<c:out value="Included" />
									</c:otherwise>
							</c:choose>
						</span></li>
				</c:forEach>
			</c:if>
		</c:if>
		
	</ul>
</c:if>
</c:forEach>
</div>
</c:if>

